package l14_reflection;

import java.lang.reflect.Constructor;

class ConstructorTest {

	private static void testConstructor() throws ReflectiveOperationException {
		Constructor<CustomInt> stringConstructor = CustomInt.class.getConstructor(String.class);
		Constructor<CustomInt> intConstructor = CustomInt.class.getConstructor(int.class);

		System.out.println(STR."From String  Constructor: \{stringConstructor.newInstance("1234")}");
		System.out.println(STR."From Integer Constructor: \{intConstructor.newInstance(4567)}");
	}

	public static void main (String[] args) {
		try {
			testConstructor();
		} catch(ReflectiveOperationException e) {
			e.printStackTrace();
		}
	}
}
