package l14_reflection;

public class CustomInt {
	private final int value;

	private void private_function(String string) {
		System.out.println(STR."\{string}; value = \{value}");
	}

	public CustomInt(int n) {
		System.out.println("MyInt(int)");
		value = n;
	}

	public CustomInt(String s) {
		System.out.println("MyInt(String)");
		value = Integer.parseInt(s);
	}

	@Override
	public String toString() {
		return STR."value = \{value}";
	}

	public int add(CustomInt customInt) {
		return value + customInt.value;
	}
}
